# frozen_string_literal: true

module Gitlab
  module CloudConnector
    module Configuration
      class << self
        attr_writer :config_dir

        def config_dir
          @config_dir ||= File.expand_path("../../../config", __dir__).freeze
        end

        def configure
          yield self if block_given?
        end

        def reset!
          @config_dir = nil
        end
      end
    end
  end
end
