# frozen_string_literal: true

require_relative 'data_model/base'

module Gitlab
  module CloudConnector
    module DataModels
      class UnitPrimitive < DataModel::Base
        has_and_belongs_to_many :backend_services
        has_and_belongs_to_many :add_ons
        has_and_belongs_to_many :license_types

        attr_reader :cut_off_date, :deprecated_by_url, :deprecation_message, :description, :documentation_url,
          :feature_category, :group, :introduced_by_url, :milestone, :min_gitlab_version,
          :min_gitlab_version_for_free_access, :name, :unit_primitive_issue_url
      end

      class Service < DataModel::Base
        has_and_belongs_to_many :unit_primitives

        attr_reader :basic_unit_primitive, :description, :gitlab_realm, :name
      end

      class BackendService < DataModel::Base
        attr_reader :description, :group, :jwt_aud, :name, :project_url
      end

      class LicenseType < DataModel::Base
        attr_reader :description, :name
      end

      class AddOn < DataModel::Base
        attr_reader :description, :name
      end
    end
  end
end
